<!DOCTYPE html>
<html lang="en">
<head>
  <!-- Title -->
  <title>Typed.js - Space Starter | Space - Responsive Website Template</title>

  <!-- Required Meta Tags Always Come First -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Favicon -->
  <link rel="shortcut icon" href="../favicon.ico">

  <!-- Google Fonts -->
  <link href="//fonts.googleapis.com/css?family=Roboto:300,400,500,700" rel="stylesheet">

  <!-- CSS Global Compulsory -->
  <link rel="stylesheet" href="../assets/vendor/bootstrap/css/bootstrap.css">

  <!-- CSS Implementing Plugins -->
  <link rel="stylesheet" href="../assets/vendor/font-awesome/css/all.min.css">
  <link rel="stylesheet" href="../assets/vendor/hs-megamenu/src/hs.megamenu.css">
  <link rel="stylesheet" href="../assets/vendor/animate.css/animate.min.css">
  <link rel="stylesheet" href="../documentation/assets/vendor/jquery-ui/themes/base/jquery-ui.min.css">
  <link rel="stylesheet" href="../documentation/assets/vendor/prism/prism.css">

  <!-- CSS Space Template -->
  <link rel="stylesheet" href="../assets/css/theme.css">

  <!-- CSS Space Doc -->
  <link rel="stylesheet" href="../documentation/assets/css/starter.css">
</head>

<body>
  <!-- Skippy -->
  <a id="skippy" class="sr-only sr-only-focusable u-skippy" href="#content">
    <div class="container">
      <span class="u-skiplink-text">Skip to main content</span>
    </div>
  </a>
  <!-- End Skippy -->

  <!-- ========== HEADER ========== -->
  <header id="header" class="u-header u-header--sticky-top-lg">
    <div class="u-header__section">
      <div id="logoAndNav" class="container-fluid">
        <!-- Nav -->
        <nav class="js-mega-menu navbar navbar-expand-lg u-header__navbar">
          <!-- Logo -->
          <a class="navbar-brand u-header__navbar-brand py-3" href="index.html" aria-label="Space">
            <img src="../assets/svg/logos/logo.svg" alt="Logo">
          </a>
          <!-- End Logo -->

          <!-- Responsive Toggle Button -->
          <button type="button" class="navbar-toggler btn fd-header-toggle"
                  aria-label="Toggle navigation"
                  aria-expanded="false"
                  aria-controls="navBar"
                  data-toggle="collapse"
                  data-target="#navBar">
            <svg xmlns="http://www.w3.org/2000/svg" viewbox="0 0 30 30" width="30" height="30" focusable="false">
              <title>Menu</title>
              <path stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-miterlimit="10" d="M4 7h22M4 15h22M4 23h22"/>
            </svg>
          </button>
          <!-- End Responsive Toggle Button -->

          <!-- Navigation -->
          <div id="navBar" class="collapse navbar-collapse py-0">
            <ul class="navbar-nav navbar-expand-md w-100 u-header__navbar-nav">
              <!-- Live Preview -->
              <li class="nav-item u-header__nav-item">
                <a class="nav-link u-header__nav-link" href="../html/home/index.html">Live Preview</a>
              </li>
              <!-- End Live Preview -->

              <!-- Starter -->
              <li class="nav-item u-header__nav-item">
                <a class="nav-link u-header__nav-link" href="../documentation/index.html">Documentation</a>
              </li>
              <!-- End Starter -->

              <!-- Contact Us -->
              <li class="nav-item u-header__nav-item">
                <a class="nav-link u-header__nav-link" href="https://htmlstream.com/contact-us">Contact Us</a>
              </li>
              <!-- End Contact Us -->

              <!-- Changelog -->
              <li class="nav-item hs-has-mega-menu d-none d-lg-inline-block u-header__nav-item position-relative ml-lg-auto"
                  data-event="hover"
                  data-animation-in="slideInUp"
                  data-animation-out="fadeOut"
                  data-position="left">
                <a id="changelogMenu" class="nav-link u-header__nav-link" href="javascript:;"
                   aria-haspopup="true"
                   aria-expanded="false">
                  v1.0
                  <span class="fa fa-angle-down u-header__nav-link-icon ml-2"></span>
                </a>

                <!-- Submenu -->
                <ul class="hs-mega-menu list-unstyled u-header__sub-menu u-header__sub-menu-menu-gutter--y" style="min-width: 220px;"
                    aria-labelledby="changelogMenu">
                  <li class="dropdown-item px-0">
                    <a class="nav-link text-secondary px-4" href="../documentation/getting-started/changelog.html#initial-release">v1.0</a>
                  </li>
                </ul>
                <!-- End Submenu -->
              </li>
              <!-- End Changelog -->

              <!-- Social Icons -->
              <li class="ml-md-auto ml-lg-0">
                <ul class="list-inline mb-0">
                  <li class="list-inline-item mx-0">
                    <a class="u-icon u-icon--sm u-icon--secondary" href="https://www.facebook.com/htmlstream" target="_blank">
                      <span class="fab fa-facebook-f u-icon__inner"></span>
                    </a>
                  </li>
                  <li class="list-inline-item mx-0">
                    <a class="u-icon u-icon--sm u-icon--secondary" href="https://twitter.com/htmlstream" target="_blank">
                      <span class="fab fa-twitter u-icon__inner"></span>
                    </a>
                  </li>
                  <li class="list-inline-item mx-0">
                    <a class="u-icon u-icon--sm u-icon--secondary" href="https://github.com/htmlstreamofficial" target="_blank">
                      <span class="fab fa-github u-icon__inner"></span>
                    </a>
                  </li>
                  <li class="list-inline-item mx-0">
                    <a class="u-icon u-icon--sm u-icon--secondary" href="https://dribbble.com/htmlstream" target="_blank">
                      <span class="fab fa-dribbble u-icon__inner"></span>
                    </a>
                  </li>
                  <li class="list-inline-item mx-0">
                    <a class="u-icon u-icon--sm u-icon--secondary" href="https://www.instagram.com/htmlstream/" target="_blank">
                      <span class="fab fa-instagram u-icon__inner"></span>
                    </a>
                  </li>
                </ul>
              </li>
              <!-- End Social Icons -->

              <!-- Button -->
              <li class="nav-item pl-md-3">
                <a class="btn btn-sm btn-primary" href="https://themes.getbootstrap.com/product/space-multipurpose-responsive-template/" target="_blank">
                  Buy Now
                </a>
              </li>
              <!-- End Button -->
            </ul>
          </div>
          <!-- End Navigation -->
        </nav>
        <!-- End Nav -->
      </div>
    </div>
  </header>
  <!-- ========== END HEADER ========== -->

  <div class="container-fluid">
    <div class="row flex-xl-nowrap">
      <!-- ========== LEFT ========== -->
      <div class="col-12 col-md-3 col-xl-2 fd-sidebar">
        <!-- Sidebar Search -->
        <form class="fd-search d-flex align-items-center">
          <input id="fd-sidebar-navigation__search-autocomplete" class="form-control form-control-sm" type="text" placeholder="Search..." data-url="../documentation/assets/include/ajax/autocomplete-data-for-starter-search.json">

          <!-- Responsive Toggle Button -->
          <button class="btn btn-link fd-search-docs-toggle d-md-none p-0 ml-3" type="button"
                  data-toggle="collapse"
                  data-target="#navside-accordion"
                  aria-controls="navside-accordion"
                  aria-expanded="false"
                  aria-label="Toggle docs navigation">
            <svg xmlns="http://www.w3.org/2000/svg" viewbox="0 0 30 30" width="30" height="30" focusable="false">
              <title>Menu</title>
              <path stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-miterlimit="10" d="M4 7h22M4 15h22M4 23h22"/>
            </svg>
          </button>
          <!-- End Responsive Toggle Button -->
        </form>
        <!-- End Sidebar Search -->

        <!-- Sidebar Nav -->
        <nav id="navside-accordion" class="fd-navside collapse">
          <ul id="components" class="fd-navside__links collapse show" data-parent="#navside-accordion">
            <li><a href="index.html">Introduction</a></li>
            <li><a href="clients.html">Clients</a></li>
            <li><a href="cta.html">Call-to-action (CTA)</a></li>
            <li><a href="features.html">Features</a></li>
            <li><a href="footers.html">Footers</a></li>
            <li><a href="form-layouts.html">Form layouts</a></li>
            <li><a href="gallery.html">Gallery</a></li>
            <li><a href="header-layouts.html">Header layouts</a></li>
            <li><a href="hero.html">Hero</a></li>
            <li><a href="hero-subscribe.html">Hero Subscribe</a></li>
            <li><a href="icon-blocks.html">Icon blocks</a></li>
            <li><a href="info.html">Info</a></li>
            <li><a href="modal-window.html">Modal Window</a></li>
            <li><a href="news-blogs.html">News Blogs</a></li>
            <li><a href="pricing.html">Pricing</a></li>
            <li><a href="products.html">Products</a></li>
            <li><a href="products-hero.html">Products hero</a></li>
            <li><a href="stats.html">Stats</a></li>
            <li><a href="team.html">Team</a></li>
            <li><a href="testimonials.html">Testimonials</a></li>
            <li><a class="active" href="typedjs.html">TypedJS.html</a></li>
            <li><a href="unfold-dropdown.html">Unfold (Dropdown)</a></li>
            <li><a href="unfold-sidebar.html">Unfold (Sidebar)</a></li>
            <li><a href="video-player.html">Video Player</a></li>
          </ul>
        </nav>
        <!-- End Sidebar Nav -->
      </div>
      <!-- ========== END LEFT ========== -->

      <!-- ========== MAIN ========== -->
      <main class="col-12 col-md-9 col-xl-10 pl-md-5 fd-content space-3" role="main">
        <div class="mb-9">
          <h1 class="font-weight-medium">Typed.js</h1>
          <p class="lead font-weight-normal">Decorate your website with Typed.js is a library that types, allowing to showcase more texts in a sentence.</p>
        </div>

        <div id="typed-js-1" class="mb-9">
          <h2 class="h4">Typed.js #1 <a class="anchorjs-link" href="#typed-js-1" aria-label="Anchor" data-anchorjs-icon="#"></a></h2>

          <div class="fd-example">
            <!-- Hero Section -->
            <div class="position-relative gradient-overlay-half-dark-v2 bg-img-hero" style="background-image: url(../assets/img/1920x800/img7.jpg);">
              <div class="d-lg-flex align-items-lg-center height-100vh--lg">
                <div class="container text-center space-2 space-0--lg">
                  <h2 class="display-3 font-size-48--md-down text-white mb-4">
                    <strong class="u-text-animation-v1 u-text-animation-v1--typing"></strong>
                    for everyone
                  </h2>
                </div>
              </div>
            </div>
            <!-- End Hero Section -->
          </div>

          <h3 class="h6">HTML:</h3>
          <pre>
            <code class="language-html" data-lang="html">
              &lt;!-- Hero Section --&gt;
              &lt;div class="position-relative gradient-overlay-half-dark-v2 bg-img-hero" style="background-image: url(../assets/img/1920x800/img7.jpg);"&gt;
                &lt;div class="d-lg-flex align-items-lg-center height-100vh--lg"&gt;
                  &lt;div class="container text-center space-2 space-0--lg"&gt;
                    &lt;h2 class="display-3 font-size-48--md-down text-white mb-4"&gt;
                      &lt;strong class="u-text-animation-v1 u-text-animation-v1--typing"&gt;&lt;/strong&gt;
                      for everyone
                    &lt;/h2&gt;
                  &lt;/div&gt;
                &lt;/div&gt;
              &lt;/div&gt;
              &lt;!-- End Hero Section --&gt;
            </code>
          </pre>

          <h3 class="h6">CSS library:</h3>
          <pre>
            <code class="language-html" data-lang="html">
              &lt;link rel="stylesheet" href="assets/vendor/typedjs/typed.css"&gt;
            </code>
          </pre>

          <h3 class="h6">JS library and initialization:</h3>
          <pre>
            <code class="language-html" data-lang="html">
              &lt;!-- JS Implementing Plugins --&gt;
              &lt;script src="assets/vendor/typed.js/lib/typed.min.js"&gt;&lt;/script&gt;

              &lt;!-- JS Plugins Init. --&gt;
              &lt;script&gt;
                $(document).on('ready', function () {
                  // initialization of text animation (typing)
                  var typed = new Typed(".u-text-animation-v1.u-text-animation-v1--typing", {
                    strings: ["Build", "Design", "Code"],
                    typeSpeed: 130,
                    loop: true,
                    backSpeed: 50,
                    backDelay: 3000
                  });
                });
              &lt;/script&gt;
            </code>
          </pre>
        </div>

        <div id="typed-js-2" class="mb-9">
          <h2 class="h4">Typed.js #2 <a class="anchorjs-link" href="#typed-js-2" aria-label="Anchor" data-anchorjs-icon="#"></a></h2>

          <div class="fd-example">
            <!-- Hero Section -->
            <div class="bg-img-hero-center" style="background-image: url(../assets/img/1920x800/img6.jpg);">
              <div class="container space-2 space-4-top--lg space-3-bottom--lg">
                <div class="w-md-75">
                  <!-- Title -->
                  <div class="mb-7">
                    <span class="d-block text-white text-uppercase mb-2">Make difference</span>
                    <h1 class="display-2 font-size-48--md-down text-white">
                      We are
                      <strong class="u-text-animation-v2 u-text-animation-v2--typing"></strong>
                    </h1>
                  </div>
                  <!-- End Title -->
                </div>

                <div class="w-md-75 w-lg-50">
                  <!-- Input -->
                  <form class="js-validate js-form-message">
                    <div class="js-focus-state input-group input-group-lg form form--lg form--white-brd">
                      <input type="email" class="form-control form__input" name="email" required
                             placeholder="Enter your email address"
                             aria-label="Enter your email address">
                      <span class="input-group-append form__append">
                        <button type="submit" class="btn btn-primary">Get Started</button>
                      </span>
                    </div>
                  </form>
                  <!-- End Input -->
                </div>
              </div>
            </div>
            <!-- End Hero Section -->
          </div>

          <h3 class="h6">HTML:</h3>
          <pre>
            <code class="language-html" data-lang="html">
              &lt;!-- Hero Section --&gt;
              &lt;div class="bg-img-hero-center" style="background-image: url(../assets/img/1920x800/img6.jpg);"&gt;
                &lt;div class="container space-2 space-4-top--lg space-3-bottom--lg"&gt;
                  &lt;div class="w-md-75"&gt;
                    &lt;!-- Title --&gt;
                    &lt;div class="mb-7"&gt;
                      &lt;span class="d-block text-white text-uppercase mb-2"&gt;Make difference&lt;/span&gt;
                      &lt;h2 class="display-2 font-size-48--md-down text-white"&gt;
                        We are
                        &lt;strong class="u-text-animation-v2 u-text-animation-v2--typing"&gt;&lt;/strong&gt;
                      &lt;/h2&gt;
                    &lt;/div&gt;
                    &lt;!-- End Title --&gt;
                  &lt;/div&gt;

                  &lt;div class="w-md-75 w-lg-50"&gt;
                    &lt;!-- Input --&gt;
                    &lt;form class="js-validate js-form-message"&gt;
                      &lt;div class="js-focus-state input-group input-group-lg form form--lg form--white-brd"&gt;
                        &lt;input type="email" class="form-control form__input" name="email" required
                               placeholder="Enter your email address"
                               aria-label="Enter your email address"&gt;
                        &lt;span class="input-group-append form__append"&gt;
                          &lt;button type="submit" class="btn btn-primary"&gt;Get Started&lt;/button&gt;
                        &lt;/span&gt;
                      &lt;/div&gt;
                    &lt;/form&gt;
                    &lt;!-- End Input --&gt;
                  &lt;/div&gt;
                &lt;/div&gt;
              &lt;/div&gt;
              &lt;!-- End Hero Section --&gt;
            </code>
          </pre>

          <h3 class="h6">CSS library:</h3>
          <pre>
            <code class="language-html" data-lang="html">
              &lt;link rel="stylesheet" href="assets/vendor/typedjs/typed.css"&gt;
            </code>
          </pre>

          <h3 class="h6">JS library and initialization:</h3>
          <pre>
            <code class="language-html" data-lang="html">
              &lt;!-- JS Implementing Plugins --&gt;
              &lt;script src="assets/vendor/typed.js/lib/typed.min.js"&gt;&lt;/script&gt;

              &lt;!-- JS Plugins Init. --&gt;
              &lt;script&gt;
                $(document).on('ready', function () {
                  // initialization of text animation (typing)
                  var typed = new Typed(".u-text-animation-v2.u-text-animation-v2--typing", {
                    strings: ["creative", "funny", "Space"],
                    typeSpeed: 130,
                    loop: true,
                    backSpeed: 50,
                    backDelay: 3000
                  });
                });
              &lt;/script&gt;
            </code>
          </pre>
        </div>
      </main>
      <!-- ========== END MAIN ========== -->
    </div>
  </div>

  <!-- Go to Top -->
  <a class="js-go-to u-go-to" href="javascript:;"
    data-position='{"bottom": 15, "right": 15 }'
    data-type="fixed"
    data-offset-top="400"
    data-compensation="#header"
    data-show-effect="slideInUp"
    data-hide-effect="slideOutDown">
    <span class="fa fa-arrow-up u-go-to__inner"></span>
  </a>
  <!-- End Go to Top -->

  <!-- JS Global Compulsory -->
  <script src="../assets/vendor/jquery/dist/jquery.min.js"></script>
  <script src="../assets/vendor/jquery-migrate/dist/jquery-migrate.min.js"></script>
  <script src="../assets/vendor/popper.js/dist/umd/popper.min.js"></script>
  <script src="../assets/vendor/bootstrap/bootstrap.min.js"></script>

  <!-- JS Implementing Plugins -->
  <script src="../assets/vendor/hs-megamenu/src/hs.megamenu.js"></script>
  <script src="../assets/vendor/typed.js/lib/typed.min.js"></script>
  <script src="../documentation/assets/vendor/jquery-ui/jquery-ui.core.min.js"></script>
  <script src="../documentation/assets/vendor/jquery-ui/ui/widgets/menu.js"></script>
  <script src="../documentation/assets/vendor/jquery-ui/ui/widgets/mouse.js"></script>
  <script src="../documentation/assets/vendor/jquery-ui/ui/widgets/autocomplete.js"></script>
  <script src="../documentation/assets/vendor/prism/prism.js"></script>

  <!-- JS Space -->
  <script src="../assets/js/hs.core.js"></script>
  <script src="../assets/js/components/hs.header.js"></script>
  <script src="../assets/js/components/hs.unfold.js"></script>
  <script src="../assets/js/components/hs.go-to.js"></script>
  <script src="../assets/js/components/hs.scroll-nav.js"></script>
  <script src="../assets/js/components/hs.slick-carousel.js"></script>
  <script src="../documentation/assets/js/components/hs.autocomplete-local-search.js"></script>

  <!-- JS Plugins Init. -->
  <script>
    $(document).on('ready', function () {
      // initialization of header
      $.HSCore.components.HSHeader.init($('#header'));

      var typed = new Typed(".u-text-animation-v1.u-text-animation-v1--typing", {
        strings: ["Build", "Design", "Code"],
        typeSpeed: 130,
        loop: true,
        backSpeed: 50,
        backDelay: 3000
      });

      var typed = new Typed(".u-text-animation-v2.u-text-animation-v2--typing", {
        strings: ["creative", "funny", "Space"],
        typeSpeed: 130,
        loop: true,
        backSpeed: 50,
        backDelay: 3000
      });

      // initialization of go to
      $.HSCore.components.HSGoTo.init('.js-go-to');
    });

    $(window).on('load', function () {
      // initialization of HSMegaMenu component
      $('.js-mega-menu').HSMegaMenu({
        event: 'hover',
        pageContainer: $('.container'),
        breakpoint: 768,
        hideTimeOut: 0
      });

      // initialization of autocomplet
      $.HSCore.components.HSLocalSearchAutocomplete.init('#fd-sidebar-navigation__search-autocomplete');

      // initialization of HSScrollNav component
      $.HSCore.components.HSScrollNav.init($('#scrollNav'), {
        duration: 700
      });
    });
  </script>
</body>
</html>